%define module	getdevinfo

Name:		python-getdevinfo
Version:	2.0.0
Release:	%mkrel 4
Summary:	A device information gatherer for Linux
Group:		Development/Python
License:	GPLv3+
URL:		https://www.hamishmb.com/
Source0:	https://www.hamishmb.com/files/Downloads/getdevinfo/%{version}/Python/%{module}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	lshw
BuildRequires:	lvm2

%description
A python library that can be used to gather all sorts of information
about the storage devices connected to a system.

This module was originally integrated directly into the source code
of Wine Autostart, DDRescue-GUI, and WxFixBoot, but has now been
separated for ease of maintenance. Because it's on
GitLab (https://gitlab.com/hamishmb/getdevinfo) and on
PyPI (the Python Package Index) (https://pypi.org/project/getdevinfo/),
and released under the GPLv3+, this means other people can use it too.

%package -n	python3-%{module}
Summary:	A device information gatherer for Linux
Group:		Development/Python
BuildArch:	noarch
%{?python_provide:%python_provide python3-%{module}}
Requires:	lshw
Requires:	coreutils
Requires:	lvm2
Requires:	binutils
Requires:	util-linux

%description -n	python3-%{module}
A python 3 library that can be used to gather all sorts of
information about the storage devices connected to a system.

This module was originally integrated directly into the source code
of Wine Autostart, DDRescue-GUI, and WxFixBoot, but has now been
separated for ease of maintenance. Because it's on
GitLab (https://gitlab.com/hamishmb/getdevinfo) and on
PyPI (the Python Package Index) (https://pypi.org/project/getdevinfo/),
and released under the GPLv3+, this means other people can use it too.

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.0.0-4.mga10
+ Revision: 2241002
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.0.0-3.mga10
+ Revision: 2158251
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 2.0.0-2.mga10
+ Revision: 2035831
- rebuild for python 3.12

* Tue May 16 2023 daviddavid <daviddavid> 2.0.0-1.mga9
+ Revision: 1957079
- initial package python-getdevinfo (mga#30414)

